Bug 1191122 - ntpd -x steps clock on leap second
Summary: ntpd -x steps clock on leap second
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ntp
Version: 7.1
Hardware: All
OS: Linux
urgent
high
Target Milestone: rc
: ---
Assignee: Miroslav Lichvar
QA Contact: Jakub Prokes
URL:
Whiteboard:
Keywords: ZStream
Depends On:
Blocks: 1205796 1110700 1133060 1191021 1214752
TreeView+ depends on / blocked
 
Reported: 2015-02-10 13:47 UTC by Miroslav Lichvar
Modified: 2019-05-20 11:29 UTC (History)
15 users (show)

(edit)
Clone Of: 1190619
: 1214752 (view as bug list)
(edit)
Last Closed: 2015-11-19 08:38:15 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2231 normal SHIPPED_LIVE Moderate: ntp security, bug fix, and enhancement update 2015-11-19 09:03:04 UTC
Network Time Protocol 2745 None None None Never

Description Miroslav Lichvar 2015-02-10 13:47:08 UTC
+++ This bug was initially created as a clone of Bug #1190619 +++

Description of problem:
With older ntp versions, the -x option was sometimes used as a workaround to avoid kernel inserting/deleting leap seconds by stepping the clock and possibly upsetting running applications. That no longer works with 4.2.6 as ntpd steps the clock itself when a leap second occurs.

The fix is to treat the one second offset gained during leap second as a normal offset and check the stepping threshold (set by -x or tinker step) to decide if a step should be applied.

Version-Release number of selected component (if applicable):
ntp-4.2.6p5

How reproducible:
Always

Steps to Reproduce:
1. add -x to /etc/sysconfig/ntpd
2. wait for leap second
3. observe how was clock corrected

Actual results:
step

Expected results:
slew

Comment 18 errata-xmlrpc 2015-11-19 08:38:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-2231.html


Note You need to log in before you can comment on or make changes to this bug.